/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: PersistenceContextRef.java 4456 2009-01-20 14:01:41Z danesa $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IPersistenceContextRef;

/**
 *
 * @author danesa
 */
public class PersistenceContextRef extends AbsResourceGroup implements IPersistenceContextRef {
    /**
     * Name of this persistence-context-ref.
     */
    private String contextRefName = "";

    /**
     * Name of the persistence-unit.
     */
    private String unitName = "";

    /**
     * Persistence context type.
     */
    private String type ="";
    /**
     * Default constructor.
     */
    public PersistenceContextRef() {
        super();
    }

    /**
     * @return the persistence context ref name
     */
    public String getPersistenceContextRefName() {
        return contextRefName;
    }

    /**
     * @return the persistence context type
     */
    public String getPersistenceContextType() {
        return type;
    }

    /**
     *  @return the persistence unit name
     */
    public String getPersistenceUnitName() {
        return unitName;
    }

    /**
     * Set the name of this persistence-context-ref.
     * @param persistenceContextName name for this persistence-context-ref
     */
    public void setPersistenceContextRefName(final String persistenceContextName) {
        this.contextRefName = persistenceContextName;
    }

    /**
     * Set the persistence context type.
     * @param persistenceContextType type
     */
    public void setPersistenceContextType(final String persistenceContextType) {
        this.type = persistenceContextType;
    }

    /**
     * Set the persistence-unit name.
     * @param persistenceUnitName name for the persistence unit.
     */
    public void setPersistenceUnitName(final String persistenceUnitName) {
        this.unitName = persistenceUnitName;
    }

}
